<ion-content class="ion-padding">
    <form on:submit|preventDefault={createUser} on:change={validate}>
        <ion-item>
            <ion-label position="floating">Email</ion-label>
            <ion-input readonly value={user.email} disabled></ion-input>
        </ion-item>
        <ion-item>
            <ion-label position="floating">First Name</ion-label>
            <ion-input on:ionChange={(e) => user.firstName = e.currentTarget.value }></ion-input>
        </ion-item>
        <ion-item>
            <ion-label position="floating">Last Name</ion-label>
            <ion-input on:ionChange={(e) => user.lastName = e.currentTarget.value }></ion-input>
        </ion-item>
        <ion-item>
            <ion-label position="floating">Password</ion-label>
            <ion-input type="password" on:ionChange={(e) => user.password = e.currentTarget.value}></ion-input>
        </ion-item>
        <br>
        <br>
        <ion-button type="submit" expand="block">Register</ion-button>
    </form>
</ion-content>


<script>
//Query params: ?email=ss@gmail.com&outingId=1234

import {currentRoute} from 'svelte-grouter'
import {layoutStore} from '/client/LayoutStore'
import * as usersService from '/lib/UsersService'

$layoutStore.title = 'Welcome to TODO?'

const user = {
    firstName: '',
    lastName: '',
    email: $currentRoute.params.email,
    outingIds: [
        $currentRoute.params.outingId
    ]

}

function createUser() {
    // What happens here?
    // 
    console.log('Creating a user')
    console.log(user);
    usersService.registerPlayer(user);
}
function validate() {
    //TODO
    console.log('Validating')
}
</script>